Memory
Change a memory space grant permission
PATCH /v1/memory-space-grants/{grantId} · SDK updateMemorySpaceGrant · CLI deployments memory-space-grant update
PATCH
Requires memory:admin.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
grantId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key?stringLimited to 500 UTF-8 bytes.
Length
1 <= length <= 500application/json- body
permission*stringValue in
"read""read-write"MemoryObjectResponse
application/json- response
curl -X PATCH "https://example.com/v1/memory-space-grants/string" \ -H "Content-Type: application/json" \ -d '{ "permission": "read" }'{}